package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.GoodsSku;
import org.apache.ibatis.annotations.Param;

/**
 * 由规格选项组合生成商品skuMapper接口
 * 
 * @author ruoyi
 * @date 2022-04-28
 */
public interface GoodsSkuMapper 
{
    /**
     * 查询由规格选项组合生成商品sku
     * 
     * @param id 由规格选项组合生成商品sku主键
     * @return 由规格选项组合生成商品sku
     */
    public GoodsSku selectGoodsSkuById(String id);

    /**
     * 查询由规格选项组合生成商品sku列表
     * 
     * @param goodsSku 由规格选项组合生成商品sku
     * @return 由规格选项组合生成商品sku集合
     */
    public List<GoodsSku> selectGoodsSkuList(GoodsSku goodsSku);

    /**
     * 新增由规格选项组合生成商品sku
     * 
     * @param goodsSku 由规格选项组合生成商品sku
     * @return 结果
     */
    public int insertGoodsSku(GoodsSku goodsSku);

    /**
     * 修改由规格选项组合生成商品sku
     * 
     * @param goodsSku 由规格选项组合生成商品sku
     * @return 结果
     */
    public int updateGoodsSku(GoodsSku goodsSku);

    /**
     * 删除由规格选项组合生成商品sku
     * 
     * @param id 由规格选项组合生成商品sku主键
     * @return 结果
     */
    public int deleteGoodsSkuById(String id);

    /**
     * 批量删除由规格选项组合生成商品sku
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGoodsSkuByIds(String[] ids);

    void deleteGoodsSkuByGoodsId(@Param("goodsId") String id);

    List<GoodsSku> selectSpec(String query);
}
